diff --git a/gcc/analyzer/program-state.cc b/gcc/analyzer/program-state.cc
index f80f10dca84..6d1761ca005 100644
--- a/gcc/analyzer/program-state.cc
+++ b/gcc/analyzer/program-state.cc
@@ -100,11 +100,11 @@ extrinsic_state::dump () const
 
 /* FIXME.  */
 
-region_model2_manager *
+region_model_manager *
 extrinsic_state::get_model_manager () const
 {
-  if (m_engine2)
-    return m_engine2->get_model_manager ();
+  if (m_engine)
+    return m_engine->get_model_manager ();
   else
     return NULL; /* for selftests.  */
 }
@@ -171,30 +171,30 @@ extrinsic_state::get_model_manager () const
 
 /* Assert that this object is sane.  */
 
-/* class sm_state_map2.  */
+/* class sm_state_map.  */
 
-/* sm_state_map2's ctor.  */
+/* sm_state_map's ctor.  */
 
-sm_state_map2::sm_state_map2 (const state_machine &sm,
+sm_state_map::sm_state_map (const state_machine &sm,
 			      int sm_idx)
   : m_sm (sm), m_sm_idx (sm_idx), m_map (), m_global_state (0)
 {
 }
 
-/* Clone the sm_state_map2.  */
+/* Clone the sm_state_map.  */
 
-sm_state_map2 *
-sm_state_map2::clone () const
+sm_state_map *
+sm_state_map::clone () const
 {
-  return new sm_state_map2 (*this);
+  return new sm_state_map (*this);
 }
 
-/* Print this sm_state_map2 to PP.
+/* Print this sm_state_map to PP.
    If MODEL is non-NULL, print representative tree values where
    available.  */
 
 void
-sm_state_map2::print (const region_model2 *model,
+sm_state_map::print (const region_model *model,
 		      bool simple, bool multiline,
 		      pretty_printer *pp) const
 {
@@ -219,7 +219,7 @@ sm_state_map2::print (const region_model2 *model,
       else if (!first)
 	pp_string (pp, ", ");
       first = false;
-      const svalue2 *sval = (*iter).first;
+      const svalue *sval = (*iter).first;
       pp_pointer (pp, sval);
       pp_string (pp, ": ");
       sval->dump_to_pp (pp, simple);
@@ -262,7 +262,7 @@ sm_state_map2::print (const region_model2 *model,
 /* Dump this object (for SM) to stderr.  */
 
 DEBUG_FUNCTION void
-sm_state_map2::dump (bool simple) const
+sm_state_map::dump (bool simple) const
 {
   pretty_printer pp;
   pp_show_color (&pp) = pp_show_color (global_dc->printer);
@@ -276,15 +276,15 @@ sm_state_map2::dump (bool simple) const
    (all expressions are for the start state).  */
 
 bool
-sm_state_map2::is_empty_p () const
+sm_state_map::is_empty_p () const
 {
   return m_map.elements () == 0 && m_global_state == 0;
 }
 
-/* Generate a hash value for this sm_state_map2.  */
+/* Generate a hash value for this sm_state_map.  */
 
 hashval_t
-sm_state_map2::hash () const
+sm_state_map::hash () const
 {
   hashval_t result = 0;
 
@@ -307,10 +307,10 @@ sm_state_map2::hash () const
   return result;
 }
 
-/* Equality operator for sm_state_map2.  */
+/* Equality operator for sm_state_map.  */
 
 bool
-sm_state_map2::operator== (const sm_state_map2 &other) const
+sm_state_map::operator== (const sm_state_map &other) const
 {
   if (m_global_state != other.m_global_state)
     return false;
@@ -322,7 +322,7 @@ sm_state_map2::operator== (const sm_state_map2 &other) const
        iter != m_map.end ();
        ++iter)
     {
-      const svalue2 *sval = (*iter).first;
+      const svalue *sval = (*iter).first;
       entry_t e = (*iter).second;
       entry_t *other_slot = const_cast <map_t &> (other.m_map).get (sval);
       if (other_slot == NULL)
@@ -340,13 +340,13 @@ sm_state_map2::operator== (const sm_state_map2 &other) const
    States default to the start state.  */
 
 state_machine::state_t
-sm_state_map2::get_state (const svalue2 *sval,
+sm_state_map::get_state (const svalue *sval,
 			  const extrinsic_state &ext_state) const
 {
   gcc_assert (sval);
 
 #if NULL_POINTER_TYPE_CONSOLIDATION
-  sval = canonicalize_svalue2 (sval, ext_state);
+  sval = canonicalize_svalue (sval, ext_state);
 #endif
 
   if (entry_t *slot
@@ -359,15 +359,15 @@ sm_state_map2::get_state (const svalue2 *sval,
      For example INIT_VAL(foo.field) might inherit taintedness state from
      INIT_VAL(foo).  */
   if (m_sm.inherited_state_p ())
-    if (region_model2_manager *mgr = ext_state.get_model_manager ())
-      if (const initial_svalue2 *init_sval = sval->dyn_cast_initial_svalue2 ())
+    if (region_model_manager *mgr = ext_state.get_model_manager ())
+      if (const initial_svalue *init_sval = sval->dyn_cast_initial_svalue ())
 	{
-	  const region2 *reg = init_sval->get_region ();
+	  const region *reg = init_sval->get_region ();
 	  /* Try recursing upwards (up to the base region for the cluster).  */
 	  if (!reg->base_region_p ())
-	    if (const region2 *parent_reg = reg->get_parent_region ())
+	    if (const region *parent_reg = reg->get_parent_region ())
 	      {
-		const svalue2 *parent_init_sval
+		const svalue *parent_init_sval
 		  = mgr->get_or_create_initial_value (parent_reg);
 		state_machine::state_t parent_state
 		  = get_state (parent_init_sval, ext_state);
@@ -379,16 +379,16 @@ sm_state_map2::get_state (const svalue2 *sval,
   return m_sm.get_default_state (sval);
 }
 
-/* Get the "origin" svalue2 for any state of SVAL.  */
+/* Get the "origin" svalue for any state of SVAL.  */
 
-const svalue2 *
-sm_state_map2::get_origin (const svalue2 *sval,
+const svalue *
+sm_state_map::get_origin (const svalue *sval,
 			   const extrinsic_state &ext_state) const
 {
   gcc_assert (sval);
 
 #if NULL_POINTER_TYPE_CONSOLIDATION
-  sval = canonicalize_svalue2 (sval, ext_state);
+  sval = canonicalize_svalue (sval, ext_state);
 #endif
 
   entry_t *slot
@@ -403,38 +403,22 @@ sm_state_map2::get_origin (const svalue2 *sval,
    the state came from ORIGIN.  */
 
 void
-sm_state_map2::set_state (region_model2 *model,
-			  const svalue2 *sval,
+sm_state_map::set_state (region_model *model,
+			  const svalue *sval,
 			  state_machine::state_t state,
-			  const svalue2 *origin,
+			  const svalue *origin,
 			  const extrinsic_state &ext_state)
 {
   if (model == NULL)
     return;
 
   /* Reject attempts to set state on UNKNOWN.  */
-  if (sval->get_kind () == svalue2::SK_UNKNOWN)
+  if (sval->get_kind () == svalue::SK_UNKNOWN)
     return;
 
-  equiv_class2 &ec = model->get_constraints2 ()->get_equiv_class2 (sval);
+  equiv_class &ec = model->get_constraints ()->get_equiv_class (sval);
   if (!set_state (ec, state, origin, ext_state))
     return;
-
-  // TODO:
-#if 0
-  /* Also do it for all svalues that are equal via non-cm, so that
-     e.g. (void *)&r and (foo *)&r transition together.  */
-  for (unsigned i = 0; i < model->get_num_svalues (); i++)
-    {
-      svalue_id other_sid = svalue_id::from_int (i);
-      if (other_sid == sid)
-	continue;
-
-      tristate eq = model->eval_condition_without_cm (sid, EQ_EXPR, other_sid);
-      if (eq.is_true ())
-	impl_set_state (other_sid, state, origin);
-    }
-#endif
 }
 
 /* Set the state of EC to STATE, recording that the state came from
@@ -442,13 +426,13 @@ sm_state_map2::set_state (region_model2 *model,
    Return true if any states of svalue_ids within EC changed.  */
 
 bool
-sm_state_map2::set_state (const equiv_class2 &ec,
+sm_state_map::set_state (const equiv_class &ec,
 			  state_machine::state_t state,
-			  const svalue2 *origin,
+			  const svalue *origin,
 			  const extrinsic_state &ext_state)
 {
   int i;
-  const svalue2 *sval;
+  const svalue *sval;
   bool any_changed = false;
   FOR_EACH_VEC_ELT (ec.m_vars, i, sval)
     any_changed |= impl_set_state (sval, state, origin, ext_state);
@@ -459,13 +443,13 @@ sm_state_map2::set_state (const equiv_class2 &ec,
    Return true if the state changed.  */
 
 bool
-sm_state_map2::impl_set_state (const svalue2 *sval,
+sm_state_map::impl_set_state (const svalue *sval,
 			       state_machine::state_t state,
-			       const svalue2 *origin,
+			       const svalue *origin,
 			       const extrinsic_state &ext_state)
 {
 #if NULL_POINTER_TYPE_CONSOLIDATION
-  sval = canonicalize_svalue2 (sval, ext_state);
+  sval = canonicalize_svalue (sval, ext_state);
 #endif
 
   if (get_state (sval, ext_state) == state)
@@ -486,7 +470,7 @@ sm_state_map2::impl_set_state (const svalue2 *sval,
 /* Set the "global" state within this state map to STATE.  */
 
 void
-sm_state_map2::set_global_state (state_machine::state_t state)
+sm_state_map::set_global_state (state_machine::state_t state)
 {
   m_global_state = state;
 }
@@ -494,7 +478,7 @@ sm_state_map2::set_global_state (state_machine::state_t state)
 /* Get the "global" state within this state map.  */
 
 state_machine::state_t
-sm_state_map2::get_global_state () const
+sm_state_map::get_global_state () const
 {
   return m_global_state;
 }
@@ -506,65 +490,13 @@ sm_state_map2::get_global_state () const
    not to this one.  */
 
 void
-sm_state_map2::purge_for_unknown_fncall (const exploded_graph &eg,
+sm_state_map::purge_for_unknown_fncall (const exploded_graph &eg,
 					 const gcall *call,
 					 tree fndecl,
-					 region_model2 *new_model,
-					 region_model2_context *ctxt)
+					 region_model *new_model,
+					 region_model_context *ctxt)
 {
   // TODO
-#if 0
-  logger * const logger = eg.get_logger ();
-  if (logger)
-    {
-      if (fndecl)
-	logger->log ("function %qE is unknown to checker %qs",
-		     fndecl, sm.get_name ());
-      else
-	logger->log ("unknown function pointer for checker %qs",
-		     sm.get_name ());
-    }
-
-  /* Purge any state for parms.  */
-  tree iter_param_types = NULL_TREE;
-  if (fndecl)
-    iter_param_types = TYPE_ARG_TYPES (TREE_TYPE (fndecl));
-  for (unsigned arg_idx = 0; arg_idx < gimple_call_num_args (call); arg_idx++)
-    {
-      /* Track expected param type, where available.  */
-      if (iter_param_types)
-	{
-	  tree param_type = TREE_VALUE (iter_param_types);
-	  gcc_assert (param_type);
-	  iter_param_types = TREE_CHAIN (iter_param_types);
-
-	  /* Don't purge state if it was passed as a const pointer
-	     e.g. for things like strlen (PTR).  */
-	  if (TREE_CODE (param_type) == POINTER_TYPE)
-	    if (TYPE_READONLY (TREE_TYPE (param_type)))
-	      continue;
-	}
-      tree parm = gimple_call_arg (call, arg_idx);
-      svalue_id parm_sid = new_model->get_rvalue (parm, ctxt);
-      set_state (new_model, parm_sid, 0, NULL);
-
-      /* Also clear sm-state from svalue_ids that are passed via a
-	 pointer.  */
-      if (TREE_CODE (parm) == ADDR_EXPR)
-	{
-	  tree pointee = TREE_OPERAND (parm, 0);
-	  svalue_id parm_sid = new_model->get_rvalue (pointee, ctxt);
-	  set_state (new_model, parm_sid, 0, svalue_id::null ());
-	}
-    }
-
-  /* Purge any state for any LHS.  */
-  if (tree lhs = gimple_call_lhs (call))
-    {
-      svalue_id lhs_sid = new_model->get_rvalue (lhs, ctxt);
-      set_state (new_model, lhs_sid, 0, svalue_id::null ());
-    }
-#endif
 }
 
 // FIXME:
@@ -573,8 +505,8 @@ sm_state_map2::purge_for_unknown_fncall (const exploded_graph &eg,
    using FIXME.  */
 
 void
-sm_state_map2::on_svalue2_leak (const svalue2 *sval,
-				impl_region_model2_context *ctxt)
+sm_state_map::on_svalue_leak (const svalue *sval,
+			      impl_region_model_context *ctxt)
 {
   if (state_machine::state_t state = get_state (sval, ctxt->m_ext_state))
     {
@@ -587,18 +519,18 @@ sm_state_map2::on_svalue2_leak (const svalue2 *sval,
 /* FIXME.  */
 
 void
-sm_state_map2::
-on_liveness_change (const svalue2_set &live_svalues,
-		    const region_model2 *model,
-		    impl_region_model2_context *ctxt)
+sm_state_map::
+on_liveness_change (const svalue_set &live_svalues,
+		    const region_model *model,
+		    impl_region_model_context *ctxt)
 {
-  hash_set <const svalue2 *> svals_to_unset;
+  hash_set <const svalue *> svals_to_unset;
 
   for (map_t::iterator iter = m_map.begin ();
        iter != m_map.end ();
        ++iter)
     {
-      const svalue2 *iter_sval = (*iter).first;
+      const svalue *iter_sval = (*iter).first;
       if (!iter_sval->live_p (live_svalues, model))
 	{
 	  svals_to_unset.add (iter_sval);
@@ -610,7 +542,7 @@ on_liveness_change (const svalue2_set &live_svalues,
 	}
     }
 
-  for (hash_set <const svalue2 *>::iterator iter = svals_to_unset.begin ();
+  for (hash_set <const svalue *>::iterator iter = svals_to_unset.begin ();
        iter != svals_to_unset.end (); ++iter)
     m_map.remove (*iter);
 }
@@ -619,7 +551,7 @@ on_liveness_change (const svalue2_set &live_svalues,
 /* Set the state of CHILD_SID to that of PARENT_SID.  */
 
 void
-sm_state_map2::on_inherited_svalue (svalue_id parent_sid,
+sm_state_map::on_inherited_svalue (svalue_id parent_sid,
 				   svalue_id child_sid)
 {
   state_machine::state_t state = get_state (parent_sid);
@@ -629,7 +561,7 @@ sm_state_map2::on_inherited_svalue (svalue_id parent_sid,
 /* Set the state of DST_SID to that of SRC_SID.  */
 
 void
-sm_state_map2::on_cast (svalue_id src_sid,
+sm_state_map::on_cast (svalue_id src_sid,
 		       svalue_id dst_sid)
 {
   state_machine::state_t state = get_state (src_sid);
@@ -641,18 +573,18 @@ sm_state_map2::on_cast (svalue_id src_sid,
 /* Purge state from SID (in response to a call to an unknown function).  */
 
 void
-sm_state_map2::on_unknown_change (const state_machine &sm,
-				  const svalue2 *sval,
+sm_state_map::on_unknown_change (const state_machine &sm,
+				  const svalue *sval,
 				  bool is_mutable,
 				  const extrinsic_state &ext_state)
 {
-  hash_set <const svalue2 *> svals_to_unset;
+  hash_set <const svalue *> svals_to_unset;
 
   for (map_t::iterator iter = m_map.begin ();
        iter != m_map.end ();
        ++iter)
     {
-      const svalue2 *key = (*iter).first;
+      const svalue *key = (*iter).first;
       entry_t e = (*iter).second;
       /* We only want to purge state for some states when things
 	 are mutable.  For example, in sm-malloc.cc, an on-stack ptr
@@ -663,11 +595,11 @@ sm_state_map2::on_unknown_change (const state_machine &sm,
 	svals_to_unset.add (key);
       /* If we have INIT_VAL(BASE_REG), then unset any INIT_VAL(REG)
 	 for REG within BASE_REG.  */
-      if (const initial_svalue2 *init_sval = sval->dyn_cast_initial_svalue2 ())
-	if (const initial_svalue2 *init_key = key->dyn_cast_initial_svalue2 ())
+      if (const initial_svalue *init_sval = sval->dyn_cast_initial_svalue ())
+	if (const initial_svalue *init_key = key->dyn_cast_initial_svalue ())
 	  {
-	    const region2 *changed_reg = init_sval->get_region ();
-	    const region2 *changed_key = init_key->get_region ();
+	    const region *changed_reg = init_sval->get_region ();
+	    const region *changed_key = init_key->get_region ();
 	    if (changed_key->get_base_region () == changed_reg)
 	      {
 		/* FIXME: better condition for the above?  */
@@ -676,7 +608,7 @@ sm_state_map2::on_unknown_change (const state_machine &sm,
 	  }
     }
 
-  for (hash_set <const svalue2 *>::iterator iter = svals_to_unset.begin ();
+  for (hash_set <const svalue *>::iterator iter = svals_to_unset.begin ();
        iter != svals_to_unset.end (); ++iter)
     {
       impl_set_state (*iter, (state_machine::state_t)0, NULL, ext_state);
@@ -686,7 +618,7 @@ sm_state_map2::on_unknown_change (const state_machine &sm,
 /* Assert that this object is sane.  */
 #if 0
 void
-sm_state_map2::validate (const state_machine &sm,
+sm_state_map::validate (const state_machine &sm,
 			int num_svalues) const
 {
   /* Skip this in a release build.  */
@@ -712,15 +644,15 @@ sm_state_map2::validate (const state_machine &sm,
 
 #if NULL_POINTER_TYPE_CONSOLIDATION
 
-const svalue2 *
-sm_state_map2::canonicalize_svalue2 (const svalue2 *sval,
+const svalue *
+sm_state_map::canonicalize_svalue (const svalue *sval,
 				     const extrinsic_state &ext_state)
 {
-  region_model2_manager *mgr = ext_state.get_model_manager ();
+  region_model_manager *mgr = ext_state.get_model_manager ();
   if (mgr && sval->get_type () && POINTER_TYPE_P (sval->get_type ()))
     if (tree cst = sval->maybe_get_constant ())
       if (zerop (cst))
-	return mgr->get_or_create_constant_svalue2 (null_pointer_node);
+	return mgr->get_or_create_constant_svalue (null_pointer_node);
 
   return sval;
 }
@@ -732,33 +664,33 @@ sm_state_map2::canonicalize_svalue2 (const svalue2 *sval,
 /* program_state's ctor.  */
 
 program_state::program_state (const extrinsic_state &ext_state)
-: m_region_model2 (NULL),
-  m_checker_states2 (ext_state.get_num_checkers ()),
+: m_region_model (NULL),
+  m_checker_states (ext_state.get_num_checkers ()),
   m_valid (true)
 {
-  engine2 *eng2 = ext_state.get_engine2 ();
-  region_model2_manager *mgr = eng2->get_model_manager ();
-  m_region_model2 = new region_model2 (mgr);
+  engine *eng = ext_state.get_engine ();
+  region_model_manager *mgr = eng->get_model_manager ();
+  m_region_model = new region_model (mgr);
   const int num_states = ext_state.get_num_checkers ();
   for (int i = 0; i < num_states; i++)
     {
-      sm_state_map2 *sm = new sm_state_map2 (ext_state.get_sm (i), i);
-      m_checker_states2.quick_push (sm);
+      sm_state_map *sm = new sm_state_map (ext_state.get_sm (i), i);
+      m_checker_states.quick_push (sm);
     }
 }
 
 /* program_state's copy ctor.  */
 
 program_state::program_state (const program_state &other)
-: m_region_model2 (NULL),
-  m_checker_states2 (other.m_checker_states2.length ()),
+: m_region_model (NULL),
+  m_checker_states (other.m_checker_states.length ()),
   m_valid (true)
 {
-  m_region_model2 = new region_model2 (*other.m_region_model2);
+  m_region_model = new region_model (*other.m_region_model);
   int i;
-  sm_state_map2 *smap2;
-  FOR_EACH_VEC_ELT (other.m_checker_states2, i, smap2)
-    m_checker_states2.quick_push (smap2->clone ());
+  sm_state_map *smap;
+  FOR_EACH_VEC_ELT (other.m_checker_states, i, smap)
+    m_checker_states.quick_push (smap->clone ());
 }
 
 /* program_state's assignment operator.  */
@@ -766,37 +698,37 @@ program_state::program_state (const program_state &other)
 program_state&
 program_state::operator= (const program_state &other)
 {
-  delete m_region_model2;
-  m_region_model2 = new region_model2 (*other.m_region_model2);
+  delete m_region_model;
+  m_region_model = new region_model (*other.m_region_model);
 
   int i;
-  sm_state_map2 *smap2;
-  FOR_EACH_VEC_ELT (m_checker_states2, i, smap2)
-    delete smap2;
-  m_checker_states2.truncate (0);
-  gcc_assert (m_checker_states2.space (other.m_checker_states2.length ()));
+  sm_state_map *smap;
+  FOR_EACH_VEC_ELT (m_checker_states, i, smap)
+    delete smap;
+  m_checker_states.truncate (0);
+  gcc_assert (m_checker_states.space (other.m_checker_states.length ()));
 
-  FOR_EACH_VEC_ELT (other.m_checker_states2, i, smap2)
-    m_checker_states2.quick_push (smap2->clone ());
+  FOR_EACH_VEC_ELT (other.m_checker_states, i, smap)
+    m_checker_states.quick_push (smap->clone ());
 
   m_valid = other.m_valid;
 
   return *this;
 }
 
-#if __cplusplus >= 201103
+#if __cplusplus >= 01103
 /* Move constructor for program_state (when building with C++11).  */
 program_state::program_state (program_state &&other)
-: m_region_model2 (other.m_region_model2),
-  m_checker_states2 (other.m_checker_states2.length ())
+: m_region_model (other.m_region_model),
+  m_checker_states (other.m_checker_states.length ())
 {
-  other.m_region_model2 = NULL;
+  other.m_region_model = NULL;
 
   int i;
-  sm_state_map2 *smap2;
-  FOR_EACH_VEC_ELT (other.m_checker_states2, i, smap2)
-    m_checker_states2.quick_push (smap2);
-  other.m_checker_states2.truncate (0);
+  sm_state_map *smap;
+  FOR_EACH_VEC_ELT (other.m_checker_states, i, smap)
+    m_checker_states.quick_push (smap);
+  other.m_checker_states.truncate (0);
 
   m_valid = other.m_valid;
 }
@@ -806,7 +738,7 @@ program_state::program_state (program_state &&other)
 
 program_state::~program_state ()
 {
-  delete m_region_model2;
+  delete m_region_model;
 }
 
 /* Generate a hash value for this program_state.  */
@@ -817,12 +749,12 @@ program_state::hash () const
   hashval_t result = 0;
 
   // TODO:
-  //result ^= m_region_model2->hash ();
+  //result ^= m_region_model->hash ();
 
   int i;
-  sm_state_map2 *smap2;
-  FOR_EACH_VEC_ELT (m_checker_states2, i, smap2)
-    result ^= smap2->hash ();
+  sm_state_map *smap;
+  FOR_EACH_VEC_ELT (m_checker_states, i, smap)
+    result ^= smap->hash ();
 
   return result;
 }
@@ -835,13 +767,13 @@ program_state::hash () const
 bool
 program_state::operator== (const program_state &other) const
 {
-  if (!(*m_region_model2 == *other.m_region_model2))
+  if (!(*m_region_model == *other.m_region_model))
     return false;
 
   int i;
-  sm_state_map2 *smap2;
-  FOR_EACH_VEC_ELT (m_checker_states2, i, smap2)
-    if (!(*smap2 == *other.m_checker_states2[i]))
+  sm_state_map *smap;
+  FOR_EACH_VEC_ELT (m_checker_states, i, smap)
+    if (!(*smap == *other.m_checker_states[i]))
       return false;
 
   gcc_checking_assert (hash () == other.hash ());
@@ -856,17 +788,17 @@ program_state::print (const extrinsic_state &ext_state,
 		      pretty_printer *pp) const
 {
   pp_printf (pp, "rmodel: ");
-  m_region_model2->dump_to_pp (pp, true, false);
+  m_region_model->dump_to_pp (pp, true, false);
   pp_newline (pp);
 
   int i;
-  sm_state_map2 *smap2;
-  FOR_EACH_VEC_ELT (m_checker_states2, i, smap2)
+  sm_state_map *smap;
+  FOR_EACH_VEC_ELT (m_checker_states, i, smap)
     {
-      if (!smap2->is_empty_p ())
+      if (!smap->is_empty_p ())
 	{
 	  pp_printf (pp, "%s: ", ext_state.get_name (i));
-	  smap2->print (m_region_model2, true, false, pp);
+	  smap->print (m_region_model, true, false, pp);
 	  pp_newline (pp);
 	}
     }
@@ -890,29 +822,29 @@ program_state::dump_to_pp (const extrinsic_state &ext_state,
   if (!multiline)
     pp_string (pp, "{");
   {
-    pp_printf (pp, "rmodel2:");
+    pp_printf (pp, "rmodel:");
     if (multiline)
       pp_newline (pp);
     else
       pp_string (pp, " {");
-    m_region_model2->dump_to_pp (pp, true, multiline);
-    //m_region_model2->summarize_to_pp (pp, true);
+    m_region_model->dump_to_pp (pp, true, multiline);
+    //m_region_model->summarize_to_pp (pp, true);
     if (!multiline)
       pp_string (pp, "}");
   }
 
   int i;
-  sm_state_map2 *smap2;
-  FOR_EACH_VEC_ELT (m_checker_states2, i, smap2)
+  sm_state_map *smap;
+  FOR_EACH_VEC_ELT (m_checker_states, i, smap)
     {
-      if (!smap2->is_empty_p ())
+      if (!smap->is_empty_p ())
 	{
 	  if (!multiline)
 	    pp_string (pp, " {");
 	  pp_printf (pp, "%s: ", ext_state.get_name (i));
 	  if (multiline)
 	    pp_newline (pp);
-	  smap2->print (m_region_model2, true, multiline, pp);
+	  smap->print (m_region_model, true, multiline, pp);
 	  if (!multiline)
 	    pp_string (pp, "}");
 	}
@@ -962,8 +894,8 @@ program_state::to_json () const
 {
   json::object *obj = new json::object ();
 #if 0
-  if (m_region_model2
-    obj->set ("region_model2", m_region_model2->to_json ());
+  if (m_region_model
+    obj->set ("region_model", m_region_model->to_json ());
 #endif
   return obj;
 }
@@ -972,8 +904,8 @@ void
 program_state::push_frame (const extrinsic_state &ext_state,
 			   function *fun)
 {
-  region_model2_context *ctxt = NULL; // FIXME
-  m_region_model2->push_frame (fun, NULL, ctxt);
+  region_model_context *ctxt = NULL; // FIXME
+  m_region_model->push_frame (fun, NULL, ctxt);
 }
 
 /* FIXME.  */
@@ -981,7 +913,7 @@ program_state::push_frame (const extrinsic_state &ext_state,
 function *
 program_state::get_current_function () const
 {
-  return m_region_model2->get_current_function ();
+  return m_region_model->get_current_function ();
 }
 
 /* Determine if following edge SUCC from ENODE is valid within the graph EG
@@ -1013,23 +945,23 @@ program_state::on_edge (exploded_graph &eg,
      Adding the relevant conditions for the edge could also trigger
      sm-state transitions (e.g. transitions due to ptrs becoming known
      to be NULL or non-NULL) */
-  impl_region_model2_context ctxt (eg, &enode,
+  impl_region_model_context ctxt (eg, &enode,
 				   &enode.get_state (),
 				   this,
 				   last_stmt);
-  if (!m_region_model2->maybe_update_for_edge (*succ,
+  if (!m_region_model->maybe_update_for_edge (*succ,
 					       last_stmt,
 					       &ctxt))
     {
       logger * const logger = eg.get_logger ();
       if (logger)
 	logger->log ("edge to SN: %i is impossible"
-		     " due to region_model2 constraints",
+		     " due to region_model constraints",
 		     succ->m_dest->m_index);
       return false;
     }
 
-  program_state::detect_leaks2 (enode.get_state (), *this,
+  program_state::detect_leaks (enode.get_state (), *this,
 				NULL, eg.get_ext_state (),
 				&ctxt);
 
@@ -1054,21 +986,21 @@ program_state::prune_for_point (exploded_graph &eg,
   if (!fun)
     return *this;
 
-  gcc_assert (m_region_model2);
+  gcc_assert (m_region_model);
 
   program_state new_state (*this);
 
-  purge_stats2 stats;
+  purge_stats stats;
 
   const state_purge_map *pm = eg.get_purge_map ();
   if (pm)
     {
       unsigned num_ssas_purged = 0;
-      auto_vec<const decl_region2 *> ssa_name_regs;
-      new_state.m_region_model2->get_ssa_name_regions_for_current_frame
+      auto_vec<const decl_region *> ssa_name_regs;
+      new_state.m_region_model->get_ssa_name_regions_for_current_frame
 	(&ssa_name_regs);
       unsigned i;
-      const decl_region2 *reg;
+      const decl_region *reg;
       FOR_EACH_VEC_ELT (ssa_name_regs, i, reg)
 	{
 	  tree ssa_name = reg->get_decl ();
@@ -1087,9 +1019,9 @@ program_state::prune_for_point (exploded_graph &eg,
 		 is reported at the point of overwrite, rather than having
 		 temporaries keep the value reachable until the frame is
 		 popped.  */
-	      const svalue2 *sval
-		= new_state.m_region_model2->get_store_value (reg);
-	      if (!new_state.can_purge_p2 (eg.get_ext_state (), sval)
+	      const svalue *sval
+		= new_state.m_region_model->get_store_value (reg);
+	      if (!new_state.can_purge_p (eg.get_ext_state (), sval)
 		  && SSA_NAME_VAR (ssa_name))
 		{
 		  /* (currently only state maps can keep things
@@ -1100,7 +1032,7 @@ program_state::prune_for_point (exploded_graph &eg,
 		  continue;
 		}
 
-	      new_state.m_region_model2->purge_region (reg);
+	      new_state.m_region_model->purge_region (reg);
 	      num_ssas_purged++;
 	      // TODO: update stats
 	      if (logger)
@@ -1113,11 +1045,11 @@ program_state::prune_for_point (exploded_graph &eg,
       if (num_ssas_purged > 0)
 	{
 	  // TODO: which enode to use, if any?
-	  impl_region_model2_context ctxt (eg, enode_for_diag,
+	  impl_region_model_context ctxt (eg, enode_for_diag,
 					   this,
 					   &new_state,
 					   point.get_stmt ());
-	  detect_leaks2 (*this, new_state, NULL, eg.get_ext_state (), &ctxt);
+	  detect_leaks (*this, new_state, NULL, eg.get_ext_state (), &ctxt);
 	}
     }
 
@@ -1128,12 +1060,12 @@ program_state::prune_for_point (exploded_graph &eg,
      relative to another state.  */
 #if 0
   // TODO: which enode to use, if any?
-  impl_region_model2_context ctxt (eg, NULL,
+  impl_region_model_context ctxt (eg, NULL,
 				   this,
 				   &new_state,
 				   change,
 				   NULL);
-  new_state.m_region_model2->purge_unused_svalues (&stats, &ctxt);
+  new_state.m_region_model->purge_unused_svalues (&stats, &ctxt);
   if (logger)
     {
       logger->log ("num svalues purged: %i", stats.m_num_svalues);
@@ -1144,7 +1076,7 @@ program_state::prune_for_point (exploded_graph &eg,
     }
 #endif
 
-  new_state.m_region_model2->canonicalize ();
+  new_state.m_region_model->canonicalize ();
 
   return new_state;
 }
@@ -1152,10 +1084,10 @@ program_state::prune_for_point (exploded_graph &eg,
 /* FIXME.  */
 
 tree
-program_state::get_representative_tree2 (const svalue2 *sval) const
+program_state::get_representative_tree (const svalue *sval) const
 {
-  gcc_assert (m_region_model2);
-  return m_region_model2->get_representative_tree (sval);
+  gcc_assert (m_region_model);
+  return m_region_model->get_representative_tree (sval);
 }
 
 /* Attempt to merge this state with OTHER, both using EXT_STATE.
@@ -1170,29 +1102,29 @@ program_state::can_merge_with_p (const program_state &other,
 				 program_state *out) const
 {
   gcc_assert (out);
-  gcc_assert (m_region_model2);
+  gcc_assert (m_region_model);
 
   /* Early reject if there are sm-differences between the states.  */
   int i;
-  sm_state_map2 *smap;
-  FOR_EACH_VEC_ELT (out->m_checker_states2, i, smap)
-    if (*m_checker_states2[i] != *other.m_checker_states2[i])
+  sm_state_map *smap;
+  FOR_EACH_VEC_ELT (out->m_checker_states, i, smap)
+    if (*m_checker_states[i] != *other.m_checker_states[i])
       return false;
 
   /* Attempt to merge the region_models.  */
-  if (!m_region_model2->can_merge_with_p (*other.m_region_model2,
+  if (!m_region_model->can_merge_with_p (*other.m_region_model,
 					  point,
-					  out->m_region_model2))
+					  out->m_region_model))
     return false;
 
   /* Copy m_checker_states to OUT.  */
-  FOR_EACH_VEC_ELT (out->m_checker_states2, i, smap)
+  FOR_EACH_VEC_ELT (out->m_checker_states, i, smap)
     {
       delete smap;
-      out->m_checker_states2[i] = m_checker_states2[i]->clone ();
+      out->m_checker_states[i] = m_checker_states[i]->clone ();
     }
 
-  out->m_region_model2->canonicalize ();
+  out->m_region_model->canonicalize ();
 
   return true;
 }
@@ -1207,21 +1139,21 @@ program_state::validate (const extrinsic_state &ext_state) const
   return;
 #endif
 
-  gcc_assert (m_checker_states2.length () == ext_state.get_num_checkers ());
+  gcc_assert (m_checker_states.length () == ext_state.get_num_checkers ());
 }
 
 static void
-log_set_of_svalue2s (logger *logger, const char *name,
-		     const svalue2_set &set)
+log_set_of_svalues (logger *logger, const char *name,
+		     const svalue_set &set)
 {
   logger->log (name);
   logger->inc_indent ();
-  for (svalue2_set::iterator iter = set.begin ();
+  for (svalue_set::iterator iter = set.begin ();
        iter != set.end (); ++iter)
     {
       logger->start_log_line ();
       pretty_printer *pp = logger->get_printer ();
-      const svalue2 *sval = (*iter);
+      const svalue *sval = (*iter);
       pp_pointer (pp, sval);
       pp_string (pp, ": ");
       sval->dump_to_pp (pp, false);
@@ -1233,11 +1165,11 @@ log_set_of_svalue2s (logger *logger, const char *name,
 /* FIXME.  */
 // FIXME: do this at each fine-grained state, not just at edges
 void
-program_state::detect_leaks2 (const program_state &src_state,
+program_state::detect_leaks (const program_state &src_state,
 			      const program_state &dest_state,
-			      const svalue2 *extra_sval,
+			      const svalue *extra_sval,
 			      const extrinsic_state &ext_state,
-			      region_model2_context *ctxt)
+			      region_model_context *ctxt)
 {
   logger *logger = ext_state.get_logger ();
   LOG_SCOPE (logger);
